Deluge 2.0 Beta 1

Suggestions and discussion of future versions
Spadge
Seeder
Seeder
Posts: 111
Joined: Sat Dec 13, 2008 4:17 pm

Re: Deluge 2.0 Beta 1

Postby Spadge » Fri Nov 16, 2018 11:56 pm

Cas wrote:It definitely seems to be a namespace issue so try this workaround for now:

Code: Select all

wget https://raw.githubusercontent.com/deluge-torrent/deluge/develop/deluge/plugins/__init__.py
sudo cp __init__.py /usr/lib/python3/dist-packages/deluge/
sudo cp __init__.py /usr/lib/python3/dist-packages/deluge/plugins/


I've answered my own question - do the above and restart the daemon.

Thanks

Cas
Top Bloke
Top Bloke
Posts: 3557
Joined: Mon Dec 07, 2009 6:04 am
OS or Distro: Ubuntu 16.04
Location: Scotland

Re: Deluge 2.0 Beta 1

Postby Cas » Sat Nov 17, 2018 9:58 am

You should have updated to 2.0.0.dev7392 which now contains those files

masterok
Member
Member
Posts: 10
Joined: Fri Dec 10, 2010 6:27 pm
OS or Distro: Ubuntu Mate 18.04
Location: Ukraine

Re: Deluge 2.0 Beta 1

Postby masterok » Sat Nov 17, 2018 8:25 pm

Thank you for upgrading. The program has started but with an empty download list. I had to add torrent files again from the folder "stat". Folder settings and download speeds are preserved.
The settings for plugins have not been saved. And the plugin "Yarss2" disappeared and when trying to add the program hangs. Other plugins did not try to add.

And I have a question about localization in the Ukrainian language. Need help translating?

crafty35a
New User
New User
Posts: 6
Joined: Sun Oct 09, 2016 2:19 pm
OS or Distro: Windows

Re: Deluge 2.0 Beta 1

Postby crafty35a » Wed Nov 21, 2018 2:03 pm

Are the latest dev builts available on Windows, or only linux? All I see for Windows is the link in the OP which is still only 2.0b1. Thanks!

ajw107
New User
New User
Posts: 2
Joined: Fri Nov 23, 2018 12:45 pm
OS or Distro: Ubuntu Serv Win Clie

Re: Deluge 2.0 Beta 1

Postby ajw107 » Fri Nov 23, 2018 2:37 pm

Yeah, the latest build of the linux server breaks compatiablility with the windows 2.0 beta 1 client, so a new build of this would be very much appreciated.

Cas
Top Bloke
Top Bloke
Posts: 3557
Joined: Mon Dec 07, 2009 6:04 am
OS or Distro: Ubuntu 16.04
Location: Scotland

Re: Deluge 2.0 Beta 1

Postby Cas » Fri Nov 23, 2018 3:42 pm

There are some hurdles to getting a Windows build packaged currently but I am working on it.

ajw107
New User
New User
Posts: 2
Joined: Fri Nov 23, 2018 12:45 pm
OS or Distro: Ubuntu Serv Win Clie

Re: Deluge 2.0 Beta 1

Postby ajw107 » Sat Nov 24, 2018 11:16 pm

That's great news. I've been trying to compile it myself, and have been bumping into you on github when I hit a wall (e.g. the openssl naming problem in libtorrent). I think I have libtorrent compiled okay (who can say...), and I've maanged to install all the dependancies for deluge via pip and msys (which has to be used to install GTK3 and pyGObject) but what comes out the other end doesn't work at all (somethings are api changes to libtorrent and signal, but not sure why the gui won't launch at all). I also noticed that bbfreeze doesn't even install with python3 and hasn't been maintained since 2014, I've looked at things like pyinstaller and cx_freeze buy they all seem to be for just small single file projects. Let me know if there is anything I can do to help (although I have only ever used python to compile deluge) and fingers crossed you managed to get it all sorted soon.
Thanks for all your hard work.

slvrdragn
Member
Member
Posts: 16
Joined: Tue Dec 12, 2017 4:50 pm
OS or Distro: OpenSuse 42.3

Re: Deluge 2.0 Beta 1

Postby slvrdragn » Mon Nov 26, 2018 7:42 pm

I'm running into this on OpenSuse Leap 15. This has happened with the last couple builds.
deluge 2.0.0b2.dev313
libtorrent: 1.1.7.0
Python: 2.7.14
OS: Linux

raceback (most recent call last):
File "/usr/bin/deluge-gtk", line 11, in <module>
load_entry_point('deluge==2.0.0b2.dev313', 'gui_scripts', 'deluge-gtk')()
File "/usr/lib/python2.7/site-packages/deluge-2.0.0b2.dev313-py2.7.egg/deluge/ui/gtk3/__init__.py", line 63, in start
Gtk().start()
File "/usr/lib/python2.7/site-packages/deluge-2.0.0b2.dev313-py2.7.egg/deluge/ui/gtk3/__init__.py", line 43, in start
from .gtkui import GtkUI
File "/usr/lib/python2.7/site-packages/deluge-2.0.0b2.dev313-py2.7.egg/deluge/ui/gtk3/gtkui.py", line 28, in <module>
from twisted.internet import defer, gtk3reactor
File "/usr/lib64/python2.7/site-packages/twisted/internet/gtk3reactor.py", line 26, in <module>
from twisted.internet import gireactor
File "/usr/lib64/python2.7/site-packages/twisted/internet/gireactor.py", line 73, in <module>
_oldGiInit()
File "/usr/lib64/python2.7/site-packages/twisted/internet/gireactor.py", line 58, in _oldGiInit
"Introspected and static glib/gtk bindings must not be mixed; can't "
File "/usr/lib64/python2.7/site-packages/twisted/internet/_glibbase.py", line 46, in ensureNotImported
raise ImportError(errorMessage)
ImportError: Introspected and static glib/gtk bindings must not be mixed; can't import gireactor since pygtk2 module is already imported.

Cas
Top Bloke
Top Bloke
Posts: 3557
Joined: Mon Dec 07, 2009 6:04 am
OS or Distro: Ubuntu 16.04
Location: Scotland

Re: Deluge 2.0 Beta 1

Postby Cas » Tue Nov 27, 2018 9:09 am

ImportError: Introspected and static glib/gtk bindings must not be mixed; can't import gireactor since pygtk2 module is already imported.


I wonder if it is picking up another Deluge installation. Have you uninstalled the old Deluge?

Also we have moved to Python 3 so better to run under that.

jeps
Member
Member
Posts: 30
Joined: Wed May 18, 2011 4:32 pm
OS or Distro: Ubuntu

Re: Deluge 2.0 Beta 1

Postby jeps » Tue Dec 04, 2018 9:53 am

After updating my Ubuntu 19.04 to libtorrent 1.11.1, I am not able to start the Deluge Daemon, I get the following respons:
ModuleNotFoundError: No module named 'deluge.libtorrent'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/deluged", line 11, in <module>
load_entry_point('deluge==2.0.0.dev7395', 'console_scripts', 'deluged')()
File "/usr/lib/python3/dist-packages/deluge/core/daemon_entry.py", line 90, in start_daemon
from deluge.core.daemon import is_daemon_running
File "/usr/lib/python3/dist-packages/deluge/core/daemon.py", line 22, in <module>
from deluge.core.core import Core
File "/usr/lib/python3/dist-packages/deluge/core/core.py", line 28, in <module>
from deluge._libtorrent import LT_VERSION, lt
File "/usr/lib/python3/dist-packages/deluge/_libtorrent.py", line 25, in <module>
import libtorrent as lt
ImportError: /lib/x86_64-linux-gnu/libboost_python27.so.1.67.0: undefined symbol: PyClass_Type

What to do now?
there seems to be missing a module the Deluge part?


Return to “Development”

Who is online

Users browsing this forum: No registered users and 2 guests